Subject: Re: Thunderbird and patches (was Re: [PATCH v2] Enable setting attach as the default in .gitconfig for git-format-patch.)

From: Ben Bucksch <[email-masked]>
Date: Mon, 09 Feb 2009 23:01:58 +0100

On 09.02.2009 22:03, Brandon Casey wrote:
> > So, TB *does* save it correctly, byte-for-byte.
>
> Sorry, but I think you did your comparison wrong.  Possibly the tool
> which extracted the email from the cyrus server performed the same
> transformation that Thunderbird does.
>    

No. Cyrus stores each mail in its own file. All I did was:
TB | File | Save as.... | "1.eml"
scp root@<imap server>:/<mailbox store path>/<mail folder path>/749\. 2.eml
md5sum 1.eml 2.eml
b98d288357e384b8f58fe332ed65748b  1.eml
b98d288357e384b8f58fe332ed65748b  2.eml
(the md5sum will be different for you, as my mail contains the Received: 
headers from my server.)
Given that I don't think TB changes the email on the server, what TB 
saved is exactly what I received, verbatim, on the wire.